#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# This file is part of Karesansui.
#
# Copyright (C) 2009 HDE, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#

import gettext
import os

def _(str):
    gettext.bindtextdomain('messages', "%s/locale" % os.path.dirname(__file__))
    if hasattr(gettext, "lgettext"):
        return gettext.lgettext(str)
    else:
        return gettext.gettext(str)

def N_(str):
    return str
